package com.bc_chat.bc_base.entity

import android.os.Parcel
import android.os.Parcelable

class SplashAndAdImage() : Parcelable {
    var guidList: ArrayList<SplashImage>? = arrayListOf()
    var adList: ArrayList<SplashImage>? = arrayListOf()

    constructor(parcel: Parcel) : this() {
        guidList = parcel.createTypedArrayList(SplashImage)
        adList = parcel.createTypedArrayList(SplashImage)
    }

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeTypedList(guidList)
        parcel.writeTypedList(adList)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<SplashAndAdImage> {
        override fun createFromParcel(parcel: Parcel): SplashAndAdImage {
            return SplashAndAdImage(parcel)
        }

        override fun newArray(size: Int): Array<SplashAndAdImage?> {
            return arrayOfNulls(size)
        }
    }
}